Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.rl.exceptions
Class ParseException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.rules.rl.exceptions.RLException
oracle.rules.rl.exceptions.ParseException`

All Implemented Interfaces:
  java.io.Serializable

public class ParseException
extends RLException

Syntax error -- thrown when parse errors are encountered.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `encountered` This is the value of the unexpected token.
`java.lang.String` | `expected` The values of tokens expected at this point of the parse.
`boolean` | `expectOne` Whether just one token stream is expected

Fields inherited from class oracle.rules.rl.exceptions.RLException
`eol`

Constructor Summary
`ParseException()` This constructor indicates an internal parser error.
`ParseException(java.lang.String message, int line, int column)` The following constructors are for use by you for whatever purpose you can think of.
`ParseException(java.lang.String message, int line, int column, java.lang.Throwable cause)`
`ParseException(java.lang.String message, java.lang.String msgID, java.lang.Object[] args, int line, int column)`
`ParseException(java.lang.String message, java.lang.String msgID, java.lang.Object[] args, int line, int column, java.lang.Throwable cause)`
`ParseException(oracle.rules.rl.parse.Token currentToken, int[][] expectedTokenSequences, java.lang.String[] tokenImage)` This constructor is used by the method "generateParseException" in the generated parser.

Method Summary
`protected java.lang.String` | `add_escapes(java.lang.String str)` Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.

Methods inherited from class oracle.rules.rl.exceptions.RLException
`getArgs, getColumn, getDescription, getLine, getMessage, getMsgID, getSource, setColumn, setDescription, setLine, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encountered

    public java.lang.String encountered

  This is the value of the unexpected token.

### expected

    public java.lang.String expected

  The values of tokens expected at this point of the parse.

### expectOne

    public boolean expectOne

  Whether just one token stream is expected

Constructor Detail

### ParseException

    public ParseException()

  This constructor indicates an internal parser error.

### ParseException

    public ParseException(oracle.rules.rl.parse.Token currentToken,
                          int[][] expectedTokenSequences,
                          java.lang.String[] tokenImage)

  This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "encountered", "expected", and "expectOne" set. This ParseException should never be thrown. It is used to pass the 3 fields to an ExceptionFactory.createParseException() method to localize the error message. This constructor calls its super class with the string "Internal Error localizing error message" just in case it should accidently get thrown.

### ParseException

    public ParseException(java.lang.String message,
                          int line,
                          int column)

  The following constructors are for use by you for whatever purpose you can think of. Constructing the exception in this manner makes the exception behave in the normal way - i.e., as documented in the class "Throwable". The fields "errorToken", "expectedTokenSequences", and "tokenImage" do not contain relevant information. The JavaCC generated code does not use these constructors.

### ParseException

    public ParseException(java.lang.String message,
                          int line,
                          int column,
                          java.lang.Throwable cause)

### ParseException

    public ParseException(java.lang.String message,
                          java.lang.String msgID,
                          java.lang.Object[] args,
                          int line,
                          int column)

### ParseException

    public ParseException(java.lang.String message,
                          java.lang.String msgID,
                          java.lang.Object[] args,
                          int line,
                          int column,
                          java.lang.Throwable cause)

Method Detail

### add_escapes

    protected java.lang.String add_escapes(java.lang.String str)

  Used to convert raw characters to their escaped version when these raw version cannot be used as part of an ASCII string literal.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.